TTYNAME(3)

NAME
ttyname - return name of a terminal

SYNOPSIS
#include <unistd.h>

char *ttyname ( int desc );

DESCRIPTION
Returns a pointer to the pathname of the terminal device that is open on the file descriptor desc, or NULL on error (for example, if desc is not connected to a terminal).

CONFORMING TO
POSIX.1

SEE ALSO
fstat(2), isatty(3)